<?php
 /*
 * WARNING: DO NOT edit this file
 * Please do all modifications in the form of a child theme.
 */
 
class Kirhero_Theme_Class
{	

	public function __construct() 
	{
		include_once get_template_directory() .'/inc/kirhero-init.php';
		
		//add_action( 'after_setup_theme', array( 'Kirhero_Theme_Class', 'load_templates' ), 1 );
		add_action( 'after_setup_theme', array( 'Kirhero_Theme_Class', 'constants' ), 0 );
		add_action( 'after_setup_theme', array( 'Kirhero_Theme_Class', 'include_functions' ), 1 );
		add_action( 'after_setup_theme', array( 'Kirhero_Theme_Class', 'theme_setup' ), 2 );
		//add_action( 'after_setup_theme', array( 'Kirhero_Theme_Class', 'theme_settings' ), 3 );
		// register sidebar widget areas
		add_action( 'widgets_init', array( 'Kirhero_Theme_Class', 'register_sidebars' ) );
		//registr all scripts
		add_action( 'wp_enqueue_scripts', array( 'Kirhero_Theme_Class', 'register_scripts' ) );
	
		add_action( 'wp_footer', array( 'Kirhero_Theme_Class', 'kirhero_world' ), 1000 );
		// CSS to the head
		add_action( 'wp_enqueue_scripts', array( 'Kirhero_Theme_Class', 'load_css' ) );
		add_action( 'wp_head', array( 'Kirhero_Theme_Class', 'custom_css' ), 10 );
		
		// Adds classes the post class
		add_filter( 'post_class', array( 'Kirhero_Theme_Class', 'post_class' ) );
		
		
		// Remove the default lightbox script for the beaver builder plugin
		//add_filter( 'fl_builder_override_lightbox', array( 'Kirhero_Theme_Class', 'remove_bb_lightbox' ) );
		// Add support for Elementor Pro locations
		add_action( 'elementor/theme/register_locations', array( 'Kirhero_Theme_Class', 'register_elementor_locations' ) );

		
		
	}
	
	//include functions etc.
	public static function include_functions () 
	{
		require_once ( get_template_directory() . '/inc/helpers.php' );
		require_once ( get_template_directory() . '/inc/classes/menu-walker.php' );
		require_once ( get_template_directory() . '/inc/customizer/customizer.php' );
		
		require_once ( get_template_directory() . '/inc/fonts.php' );
		
		
		require_once ( get_template_directory() . '/inc/widgets/widgets.php' );
		
		//load third files
		require_once( get_template_directory() . '/inc/third/breadcrumbs.php' );
		require_once ( get_template_directory() . '/inc/third/class-bbpress.php' );
		require_once ( get_template_directory() . '/inc/third/class-elementor.php' );
		
	}
	
	
	public static function constants ()
	{
		define( 'KIRHERO_WOOCOMMERCE_ACTIVE', class_exists( 'WooCommerce' ) );
		//third
		//define( 'KIRHERO_BEAVER_BUILDER_ACTIVE', class_exists( 'FLBuilder' ) );
		define( 'KIRHERO_ELEMENTOR_ACTIVE', class_exists( 'Elementor\Plugin' ) );
	}
	
	public static function load_css () 
	{

	}
	
	/**
	 * Add support for Elementor Pro locations
	 *
	 * @since 1.5.6
	 */
	public static function register_elementor_locations( $elementor_theme_manager ) {
		$elementor_theme_manager->register_all_core_location();
	}
	
	public static function post_class ( $classes ) 
	{

		// Get post
		global $post;

		// Add entry class
		$classes[] = 'entry';
				
		// Add has media class
		if ( has_post_thumbnail()
			|| get_post_meta( $post->ID, 'kirhero_post_oembed', true )
			|| get_post_meta( $post->ID, 'kirhero_post_self_hosted_media', true )
			|| get_post_meta( $post->ID, 'kirhero_post_video_embed', true )
		) 
		{
			$classes[] = 'has-media';
		}
		
		

		// Return classes
		return $classes;

	}

	
	public static function custom_css ( $output = NULL ) 
	{
		global $wp_customize;
			    
	    	// Add filter for adding custom css via other functions
		$output = apply_filters( 'kirhero_css', $output );

			if ( ! empty( $output ) )
			{

				// Note that esc_html() cannot be used because `div &gt; span` is not interpreted properly. (wordpress/wp-includes/theme.php)
				echo "<!-- Kirhero CSS -->\n<style type=\"text/css\">\n" . strip_tags( $output ) . "\n</style>";
				
			}
	}
	
		
	
	
	static public function theme_setup ()
	{
		
		global $content_width;
		
		// Load text domain
		load_theme_textdomain( 'orionwp', get_template_directory() .'/languages' );
		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );
		
		// Enable support for Post Formats
		add_theme_support( 'post-formats', array( 'video', 'gallery', 'audio', 'quote', 'link' ) );
		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );
		// Enable support for Post Thumbnails on posts and pages
		add_theme_support( 'post-thumbnails' );
		
		//add_image_size( 'kirhero-small', 100, 70, array('center', 'center') );
		add_image_size( 'kirhero-medium', 218, 150, array('center', 'center') );
		add_image_size( 'kirhero-blog', 360, 240, array('center', 'center') );
		//add_image_size( 'kirhero-widget-blog', 540, 350, array('center', 'center') );
		
		// Register navigation menus
		register_nav_menus( array(
			//'topbar_menu'     => esc_html__( 'Top Bar', 'orionwp' ),
			'main_menu'       => esc_html__( 'Main', 'orionwp' ),
			//'second_menu'       => esc_html__( 'Second Menu', 'orionwp' ),
			'footer_menu'     => esc_html__( 'Footer', 'orionwp' ),
		) );
		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 */
		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );
		
		add_theme_support( 'woocommerce' );
		
		//add_theme_support('menus');
		
		add_theme_support('drop-down-menu');
		
		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		// Add editor style
		add_editor_style( 'assets/css/editor-style.css' );
		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support( 'custom-logo', array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		) );
		
		
		
		// Set content width based on theme's default design
		if ( !isset( $content_width ) ) 
		{
			$content_width = 1200;
		}		
	}
	
	
	public static function register_sidebars ()
	{
		
		//register_sidebar( 'subscribe-widgets' );
		
				
	}
	
	public static function kirhero_world ( ) 
	{
		//future function
	}
	
	public static function register_scripts ()
	{
		
		$theme_version = self::theme_version ();
		
		wp_enqueue_style( 'kirhero-style', get_stylesheet_uri(), array(), $theme_version);

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
		
		wp_enqueue_script( 'kirhero-matchheight',  get_template_directory_uri() . '/assets/js/alien/jquery.matchHeight.js', array( 'jquery' ), $theme_version, false );
		wp_enqueue_script( 'kirhero-main',  get_template_directory_uri() .'/assets/js/main.js', array( 'jquery' ), $theme_version, false );
		//sidr
		wp_enqueue_script( 'Sidr', get_template_directory_uri() . '/assets/js/alien/jquery.sidr.min.js', '', $theme_version, false );
		// Remove font awesome style from plugins
		wp_deregister_style( 'font-awesome' );
		// Load font awesome style
		wp_enqueue_style( 'font-awesome', get_template_directory_uri() .'/assets/css/alien/font-awesome.min.css', false, '4.7.0' );
	}
	
	public static function theme_version () {

		// Get theme data
		$theme = wp_get_theme();

		// Return theme version
		return $theme->get( 'Version' );

	}


}

$kirhero_theme_class = new Kirhero_Theme_Class;
$kirhero_theme_settings_class = new Kirhero_Theme_Settings_Class;

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}



