<?php

class Kirhero_Page_Editor_Customizer_Control extends WP_Customize_Control 
{


	public function __construct( $manager, $id, $args = array() ) {
		parent::__construct( $manager, $id, $args );
		
		include get_template_directory() . '/inc/customizer/classes/kirhero-wp-editor.php';
	}

	
	public function enqueue() 
	{
		wp_enqueue_script('kirhero-wp-editor', get_template_directory_uri() . '/inc/customizer/assets/js/wp-editor.js', array('jquery'),'',false);
		wp_register_style( 'kirhero-wp-editor-css', get_template_directory_uri() . '/inc/customizer/assets/css/wp-editor.css', array() );
		wp_enqueue_style( 'kirhero-wp-editor-css' );
	}


	public function render_content() 
	{
		?>
		<label>
			<?php if ( ! empty( $this->label ) ) : ?>
				<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
			<?php endif; ?>
			<input type="hidden" <?php $this->link(); ?> value="<?php echo esc_textarea( $this->value() ); ?>" id="<?php echo esc_attr( $this->id ); ?>" class="editorfield">
			<button data-editor-id="<?php echo esc_attr( $this->id ); ?>" class="button edit-content-button"><span class="dashicons dashicons-edit wp-editor-kirhero-icon"></span><?php esc_html_e( 'Edit Content', 'orionwp' ); ?></button>
		
		</label>
		<?php
	}
}
