<?php

/**
 * Kirhero Wp Editor
 */
class Kirhero_WP_Editor 
{
	
	public function __construct() 
	{
		add_action( 'customize_controls_print_footer_scripts', array( $this, 'output_wp_editor_widget_html' ), 1 );
		
		add_filter( 'tiny_mce_before_init', array( $this, 'override_mce_options' ));
		add_filter( 'wp_default_editor', array( $this, 'change_editor_mode_to_html' ) );
		add_filter( 'kirhero_wp_editor_content', 'wptexturize' );
		add_filter( 'kirhero_wp_editor_content', 'convert_smilies' );
		add_filter( 'kirhero_wp_editor_content', 'convert_chars' );
		add_filter( 'kirhero_wp_editor_content', 'wpautop' );
		add_filter( 'kirhero_wp_editor_content', 'shortcode_unautop' );
		add_filter( 'kirhero_wp_editor_content', 'do_shortcode', 11 );

	}

	/**
	 * Add editor
	 */
	 
	public function output_wp_editor_widget_html() 
	{
		
	?>
		<div id="wp-editor-widget-container" style="display: none;">
			<a class="close" href="javascript:Kirhero_WP_Editor.hideEditor();" title="<?php esc_attr_e( 'Close', 'orionwp' ); ?>"><span class="icon"></span></a>
			<div class="editor">
				<?php
			
				$settings = array(
					'tinymce' => array(
						'height'        => 240,
						'rows'          => 55,
					),
				);
				
				wp_editor( '', 'wpeditorwidget', $settings );
				?>
				
			</div>
		</div>
		<div id="wp-editor-widget-backdrop" style="display: none;"></div>
	<?php
		
	}
	
	public function override_mce_options($initArray) 
	{
		$opts = '*[*]';
		$initArray['valid_elements'] = $opts;
		$initArray['extended_valid_elements'] = $opts;

		return $initArray;
	}
	
	public function change_editor_mode_to_html( $editor_mode ) 
	{
		if ( is_customize_preview() && function_exists( 'get_current_screen' ) ) 
		{
			$screen = get_current_screen();
			if ( ! isset( $screen->id ) ) 
			{
				return $editor_mode;
			}

			if ( $screen->id === 'customize' ) 
			{
				return 'tmce';
			}
		}

		return $editor_mode;
	}
	
} 

$kirhero_wp_editor = new Kirhero_WP_Editor;
