<?php

if( !in_array('blog', kirhero_frontpage_elements_positioning() ) || !is_front_page() )
{
	return ;
}


$blog_title = get_theme_mod( 'kirhero_admin_frontpage_blog_section_title_text', kirhero_get_default_theme_settings( 'frontpage-blog-title-text' ) );	
$blog_text = get_theme_mod( 'kirhero_admin_frontpage_blog_section_text', kirhero_get_default_theme_settings( 'frontpage-blog-text' ) );	
$blog_items = get_theme_mod( 'kirhero_admin_frontpage_blog_section_items', kirhero_get_default_theme_settings( 'frontpage-blog-items' ) );


//the query
// Text
$text = get_theme_mod( 'kirhero_blog_article_display_read_more_text', kirhero_get_default_theme_settings('blog-article-display-read-more-text') );

if( $blog_items < 1 )
{
	$blog_items = 0;
}

$the_query = new WP_Query( array(
	'posts_per_page' => $blog_items,
)); 

$first = 0;
$kirhero_count_responsive = 0;

?>

<div class="frontpage-blog-wrap">
	
	<div class="frontpage-blog site-inner" >
		
		<h2 class="frontpage-blog-title"><?php echo esc_html($blog_title) ?></h2>
		<p class="frontpage-blog-text"><?php echo esc_html($blog_text) ?></p>
		
		<div class="has-grid fp-blog-div">
			<?php if ( $the_query->have_posts() ) : ?>
				<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
				
					<article class="fp_blog_article one-third has-grid <?php if($first == 0){ echo ' first'; }?>">
						
						<div class="thumbnail fp_blog_thumb">

							<a href="<?php the_permalink(); ?>" class="thumbnail-link">
						
								<?php
								// Image args
								$img_args = array(
								    'alt' => get_the_title(),
								);
								
								the_post_thumbnail( 'kirhero-blog', false,$img_args );
								$caption = get_the_post_thumbnail_caption();
								?>
								
								<span class="overlay"></span>
							</a>
						
							<?php
							// Caption
							if ( $caption ) { ?>
								<div class="thumbnail-caption-wraper">	
									<div class="thumbnail-caption">
										<?php echo esc_html( $caption ); ?>
									</div>
								</div>
							<?php
							} 
							?>
						
						</div><!-- .thumbnail -->
						
						<header>
							<h2 class="fp_blog_h2">
								<a class="fp_blog_h2_a" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h2><!-- .blog-entry-title -->
						</header><!-- .blog-entry-header -->
						
						<p class="fp_blog_p">
						<?php
						echo wp_kses_post(kirhero_article_length( 35 ) ); 
						?>
						<a class="fp_blog_p_a" href="<?php the_permalink(); ?>"><?php echo esc_html__( 'Read more…', 'orionwp' ); ?></a>
						</p>

					</article>
					
					<?php
						
					$first++;
					$kirhero_count_responsive++;
					
					//clear for mobile 
					if ( $kirhero_count_responsive % 2 == 0 )
					{
						echo '<div class="frontpage-clear-mobile"></div>';
						$kirhero_count_responsive = 0;
					}
					// Reset counter to clear floats
					if ( 3 == $first ) 
					{
						$first = 0;
					}
						
					?>
				
				<?php endwhile; ?>
			
			<?php wp_reset_postdata(); ?>
				
			<?php else : ?>
				<?php echo esc_html__('No News', 'orionwp') ?>
			<?php endif; ?>
		</div>
	</div>
</div>


