<?php

if( !in_array('subscribe', kirhero_frontpage_elements_positioning() ) || !is_front_page() )
{
	return ;
}

$subscribe_title = get_theme_mod( 'kirhero_admin_frontpage_subscribe_section_title_text', kirhero_get_default_theme_settings( 'frontpage-subscribe-title-text' ) );	
$subscribe_image = get_theme_mod( 'kirhero_admin_frontpage_subscribe_image', kirhero_get_default_theme_settings( 'frontpage-subscribe-image' ) );	
$subscribe_text = get_theme_mod( 'kirhero_admin_frontpage_subscribe_section_text', kirhero_get_default_theme_settings( 'frontpage-subscribe-text' ) );
$subscribe_image_attachment = get_theme_mod( 'kirhero_admin_frontpage_subscribe_image_attachment', kirhero_get_default_theme_settings( 'frontpage-subscribe-image-attachment' ) );

$subscribe_switch = get_theme_mod( 'kirhero_admin_frontpage_subscribe_section_switch', kirhero_get_default_theme_settings( 'frontpage-subscribe-switch' ) );

$subscribe_shortcode = get_theme_mod( 'kirhero_admin_frontpage_subscribe_shortcode', kirhero_get_default_theme_settings( 'frontpage-subscribe-shortcode' ) );

//if not image background 
if( $subscribe_switch !== 'image' )
{
	$subscribe_image = '';
	$subscribe_image_attachment = '';
}

//css
$subscribe_css_class = 'frontpage-subscribe site-inner';

//$subscribe_image
$css_image ='';
 
if( !empty( $subscribe_image ) )
{
	$css_image = "background-image:url(".$subscribe_image.");";
}

if( !empty( $subscribe_image_attachment ) )
{
	$css_image .= " background-attachment:".$subscribe_image_attachment.";";
}

//css for back wrap
$css_back_wrap = '';

if( !empty( $subscribe_image ) )
{
	$css_back_wrap = 'frontpage-subscribe-cover';
}


?>



<div class="frontpage-subscribe-wrap fp_subscribe_img" style="<?php echo esc_attr($css_image)?>">
	<div class="<?php echo esc_attr($subscribe_css_class)?>">		
		<div class="fp_subscribe_wrap">
			<h2 class="frontpage-subscribe-title"><?php echo esc_html($subscribe_title) ?></h2>
			<p class="frontpage-subscribe-text"><?php echo esc_html($subscribe_text) ?></p>
			
			<?php if ( is_active_sidebar( 'kirhero-subscribe-widgets' ) or !empty( $subscribe_shortcode ) ) : ?>
				<div class="frontpage-subscribe-widget-wrap">
					<div class="fp_subscribe_widget">
						<?php if ( is_active_sidebar( 'kirhero-subscribe-widgets' ) ) : ?>
							<?php dynamic_sidebar( 'kirhero-subscribe-widgets' ); ?>
						<?php endif; ?>
						
						<?php if ( !empty( $subscribe_shortcode) ) : ?>
							<div class="frontpage-subscribe-shortcode-div">
							<?php echo do_shortcode($subscribe_shortcode); ?>
							</div>
						<?php endif; ?>
					</div>
				</div>
			<?php endif; ?>								
		</div>
	</div>
	<div class="<?php echo esc_attr($css_back_wrap)?>"></div>
</div>