<?php

if( !in_array('team', kirhero_frontpage_elements_positioning() ) || !is_front_page() )
{
	return ;
}

$team_title = get_theme_mod( 'kirhero_admin_frontpage_team_section_title_text', kirhero_get_default_theme_settings( 'frontpage-team-title-text' ) );	
$team_text = get_theme_mod( 'kirhero_admin_frontpage_team_section_text', kirhero_get_default_theme_settings( 'frontpage-team-text' ) );	
$team_items_per_row = get_theme_mod( 'kirhero_admin_frontpage_team_section_items_count', kirhero_get_default_theme_settings( 'frontpage-team-items-count' ) );	
$team_array = get_theme_mod('kirhero_admin_frontpage_team_section_team_content', kirhero_get_default_theme_settings( 'frontpage-team-items-array' ) );
/*This returns a json so we have to decode it*/
$team_array_decode = json_decode($team_array, true);

//css
$team_css_class = 'frontpage-team site-inner';
//grid
$classes = 'has-grid ';
if ( $team_items_per_row == 2 ) 
{
	$classes .= 'one-half';
}
else if ( $team_items_per_row == 3 )
{
	$classes .= 'one-third';
}
else if ( $team_items_per_row == 4 )
{
	$classes .= 'one-fourth';
}

?>


	
<div id="frontpage-team-wrap" class="frontpage-team-wrap">
	
	<div class="<?php echo esc_attr($team_css_class)?>">
		
		<div class="fp_team_wrap">
			<h2 class="frontpage-team-title"><?php echo esc_html($team_title) ?></h2>
			<p class="frontpage-team-text"><?php echo esc_html($team_text) ?></p>
			
				<?php 
										
				$first = 0;
				$kirhero_count_responsive = 0;
				
				foreach($team_array_decode as $team_array_item)
				{
					$social_repeater = json_decode( html_entity_decode($team_array_item['social_repeater']), true);

				?>
				
					<div class="<?php echo esc_attr($classes); if($first == 0){ echo ' first'; } ?>">
					
					
						<div class="fp_team_member">
							
							<div class="fp_team_member_div">	
								<img class="fp_team_member_img" src="<?php echo esc_url($team_array_item['image_url']) ?>">
							</div>
							
							<div>
								<h3 class="fp_team_h3"><?php echo esc_html($team_array_item['title']) ?></h3>
								<div class="fp_team_member_subtitle"><?php echo esc_html($team_array_item['subtitle']) ?></div>
								<p class="fp_team_member_text"><?php echo esc_html($team_array_item['text']) ?></p>
							</div>
							
							<div class="fp_team_social_wrap">
								<a class="fp_team_member_a" href="<?php echo esc_url($team_array_item['link']) ?>" target="blank"><?php echo esc_html($team_array_item['link']) ?></a>
								<div class="fp_team_soc_block">
									
									<?php
									if( !empty( $social_repeater ) )
									{
										foreach( $social_repeater as $social_repeaters )
										{
									?>
										<a class="fp_team_a" href="<?php echo esc_url($social_repeaters['link']) ?>">
											<i class="fa <?php echo esc_attr($social_repeaters['icon']) ?>"></i>
										</a>
									<?php
										}
									}
									?>
									
								</div>
							</div>
						</div>
					</div>
					
					<?php
							
					$first++;
					$kirhero_count_responsive++;
					
					//clear for mobile 
					if ( $kirhero_count_responsive % 1 == 0 )
					{
						echo '<div class="frontpage-clear-mobile"></div>';
						$kirhero_count_responsive = 0;
					}
					// Reset counter to clear floats
					if ( kirhero_frontpage_team_grid() == $first ) 
					{
						$first = 0;
					}	
			     }	
				?>
		</div>
	</div>
</div>

