<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Classes
$classes = array( 'general-page-header' );

// Get header style
$style = kirhero_sub_menu_single_header_style();

// Add classes for title style
if ( $style ) 
{
	$classes[$style .'-general-page-header'] = $style .'-general-page-header';
}

// Turn into space seperated list
$classes = implode( ' ', $classes );

?>

<?php do_action( 'kirhero_before_page_header' ); ?>

<header class="<?php echo esc_attr( $classes ); ?>">

	<?php do_action( 'kirhero_before_page_header_inner' ); ?>

	<div class="wrap">

		<h2 class="page-header-general-title"<?php kirhero_schema_markup_echo( 'headline' ); ?>><?php echo wp_kses_post(kirhero_title()); ?></h2>

		<?php if ( $subheading = kirhero_get_page_subheading() ) : ?>
			
			<div class="page-subheading">
				<?php echo do_shortcode( esc_html( $subheading ) ); ?>
			</div>
		
		<?php endif; ?>
		
		<?php if ( function_exists( 'kirhero_breadcrumb' ) ) 
		{
			kirhero_breadcrumb();
		} 
		?>

	</div>

	<?php
		
		//kirhero_page_header_overlay(); 
	?>

	<?php do_action( 'kirhero_after_page_header_inner' ); ?>

</header><!-- .sub-header -->

<?php do_action( 'kirhero_after_page_header' ); ?>