<?php
/**
 * Template Name: Front Page
 */ 

if ( 'posts' == get_option( 'show_on_front' ) ) 
{
	include( get_home_template() );
} 
else 
{
	get_header();
	
	// Get elements
	$elements = kirhero_frontpage_elements_positioning();	
?>

	
	<?php
	if (current($elements) !== 'slide_title') 
	{
	 	echo '<div style="margin-top:'.esc_attr( kirhero_header_content_calc() ).'px"></div>';
	}
	?>
	
	
	<?php do_action( 'kirhero_before_site_inner' ); ?>
	
	<!-- content -->
	<div>
			
			
				
				<?php do_action( 'kirhero_before_content' ); ?>
				
				<main class=""<?php kirhero_schema_markup_echo( 'main' ); ?>>
					
					
					<?php
					// Loop through elements
					foreach ( $elements as $element ) {
			
						// slide_title
						if ( 'slide_title' == $element ) 
						{	
							get_template_part( 'template-parts/frontpage/frontpage-slide');
						}
			
						//about_content
						if ( 'about_content' == $element ) 
						{
							get_template_part( 'template-parts/frontpage/frontpage-content');
						}
						
						//team
						if ( 'team' == $element ) 
						{
							get_template_part( 'template-parts/frontpage/frontpage-team');
						}
						
						//blog
						if ( 'blog' == $element ) 
						{
							get_template_part( 'template-parts/frontpage/frontpage-blog');
						}
						
						//features
						if ( 'features' == $element ) 
						{
							get_template_part( 'template-parts/frontpage/frontpage-features');
						}
						
						//action
						if ( 'action' == $element ) 
						{
							get_template_part( 'template-parts/frontpage/frontpage-action');
						}
						
						//subscribe
						if ( 'subscribe' == $element ) 
						{
							get_template_part( 'template-parts/frontpage/frontpage-subscribe');
						}
						
						//contact
						if ( 'contact' == $element ) 
						{
							get_template_part( 'template-parts/frontpage/frontpage-contact');
						}
									
					} ?>


				</main>
				
				<?php do_action( 'kirhero_after_content' ); ?>

			
			<?php do_action( 'kirhero_after_content_inner' ); ?>			
				
	</div><!-- content -->

<?php
	//get_sidebar();
	get_footer();
}
